Caizhi Weng created FLINK-17023:
-----------------------------------
Summary: The format checking of extractExecutionParams in config.sh is incorrect
Key: FLINK-17023
URL:
https://issues.apache.org/jira/browse/FLINK-17023 Project: Flink
Issue Type: Bug
Components: Deployment / Scripts
Affects Versions: 1.11.0
Reporter: Caizhi Weng
In [FLINK-15727|
https://issues.apache.org/jira/browse/FLINK-15727] extractExecutionParams now returns multiple lines of results to avoid using BashJavaUtils twice. But now the format checking for the last line is incorrect. Instead of
{code:bash}
if ! [[ $execution_config =~ ^${EXECUTION_PREFIX}.* ]]; then
echo "[ERROR] Unexpected result: $execution_config" 1>&2
echo "[ERROR] The last line of the BashJavaUtils outputs is expected to be the execution result, following the prefix '${EXECUTION_PREFIX}'" 1>&2
echo "$output" 1>&2
exit 1
fi
{code}
It should be
{code:bash}
last_line=`echo "$execution_config" | tail -n 1`
if ! [[ "$last_line" =~ ^${EXECUTION_PREFIX}.* ]]; then
# ...
{code}
--
This message was sent by Atlassian Jira
(v8.3.4#803005)